[Demudi-commits] r1098 - in ll-scope/trunk/debian: . patches

Free Ekanayaka free-guest at alioth.debian.org
Wed Feb 21 11:58:42 CET 2007


Author: free-guest
Date: 2007-02-21 11:58:41 +0100 (Wed, 21 Feb 2007)
New Revision: 1098

Added:
   ll-scope/trunk/debian/patches/
   ll-scope/trunk/debian/patches/00list
   ll-scope/trunk/debian/patches/destdir.dpatch
   ll-scope/trunk/debian/watch
Modified:
   ll-scope/trunk/debian/changelog
   ll-scope/trunk/debian/control
   ll-scope/trunk/debian/copyright
   ll-scope/trunk/debian/dirs
   ll-scope/trunk/debian/rules
Log:
releasing version 0.2.1-1

Modified: ll-scope/trunk/debian/changelog
===================================================================
--- ll-scope/trunk/debian/changelog	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/changelog	2007-02-21 10:58:41 UTC (rev 1098)
@@ -1,6 +1,6 @@
-ll-scope (0.2.1-1) etch; urgency=low
+ll-scope (0.2.1-1) unstable; urgency=low
 
   * Initial Release (Closes: #321468)
 
- -- Willem van Engen <wvengen at localhost>  Sun,  1 Jan 2006 20:16:05 +0000
+ -- Free Ekanayaka <freee at debian.org>  Mon, 19 Feb 2007 14:27:09 +0100
 

Modified: ll-scope/trunk/debian/control
===================================================================
--- ll-scope/trunk/debian/control	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/control	2007-02-21 10:58:41 UTC (rev 1098)
@@ -1,16 +1,16 @@
 Source: ll-scope
 Section: sound
 Priority: optional
-Maintainer: Willem van Engen <wvengen+demudi at stack.nl>
-Build-Depends: debhelper (>= 4.0.0), liblo0-dev, dssi-dev, libglademm-2.4-dev ( >= 2.2.0), libsigc++-2.0-dev
+Maintainer: Debian Multimedia Team <debian-multimedia at lists.debian.org>
+Uploaders: Willem van Engen <debrepo at willem.engen.nl>, Free Ekanayaka <freee at debian.org>
+Build-Depends: debhelper (>= 4.0.0), liblo0-dev, dssi-dev, libglademm-2.4-dev ( >= 2.2.0), libsigc++-2.0-dev, libasound2-dev, dpatch
 Standards-Version: 3.7.2
 
 Package: ll-scope
 Architecture: any
 Provides: dssi-plugin
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: An oscilloscope DSSI plugin.
+Description: an oscilloscope DSSI plugin
  The Oscilloscope is a DSSI plugin with a GUI that displays the audio input in
- an oscilloscope view. I wrote it because I wanted something too use in modular
- synths to view the waveforms with at different places in the synth graph.
-
+ an oscilloscope view. It can be useful when working with modular synths, to
+ view the waveforms with at different places in the synth graph.

Modified: ll-scope/trunk/debian/copyright
===================================================================
--- ll-scope/trunk/debian/copyright	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/copyright	2007-02-21 10:58:41 UTC (rev 1098)
@@ -19,8 +19,8 @@
 
    You should have received a copy of the GNU General Public License
    along with this package; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
-   02111-1307, USA.
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+   02110-1301 USA
 
 On Debian systems, the complete text of the GNU General
 Public License can be found in `/usr/share/common-licenses/GPL'.

Modified: ll-scope/trunk/debian/dirs
===================================================================
--- ll-scope/trunk/debian/dirs	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/dirs	2007-02-21 10:58:41 UTC (rev 1098)
@@ -1,2 +1,2 @@
 usr/bin
-usr/sbin
+

Added: ll-scope/trunk/debian/patches/00list
===================================================================
--- ll-scope/trunk/debian/patches/00list	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/patches/00list	2007-02-21 10:58:41 UTC (rev 1098)
@@ -0,0 +1 @@
+destdir

Added: ll-scope/trunk/debian/patches/destdir.dpatch
===================================================================
--- ll-scope/trunk/debian/patches/destdir.dpatch	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/patches/destdir.dpatch	2007-02-21 10:58:41 UTC (rev 1098)
@@ -0,0 +1,35 @@
+#! /bin/sh -e
+## destdir.dpatch by Free Ekanayaka <free at agnula.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff a/Makefile b/Makefile
+--- a/Makefile	2007-02-19 14:40:53.000000000 +0100
++++ b/Makefile	2007-02-19 14:41:07.000000000 +0100
+@@ -1,4 +1,5 @@
+-INSTALL_DIR=/usr/local/lib/dssi
++DESTDIR=
++INSTALL_DIR=$(DESTDIR)/usr/lib/dssi
+ 
+ all:	ll-scope.so ll-scope_gtk
+ 


Property changes on: ll-scope/trunk/debian/patches/destdir.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: ll-scope/trunk/debian/rules
===================================================================
--- ll-scope/trunk/debian/rules	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/rules	2007-02-21 10:58:41 UTC (rev 1098)
@@ -9,11 +9,10 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+include /usr/share/dpatch/dpatch.make
 
+CFLAGS = -Wall -g -fPIC
 
-
-CFLAGS = -Wall -g
-
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
@@ -28,18 +27,18 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-stamp patch-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)"
 	#docbook-to-man debian/dssi0.9-plugin-ll-scope.sgml > dssi0.9-plugin-ll-scope.1
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp

Added: ll-scope/trunk/debian/watch
===================================================================
--- ll-scope/trunk/debian/watch	2007-02-21 10:50:09 UTC (rev 1097)
+++ ll-scope/trunk/debian/watch	2007-02-21 10:58:41 UTC (rev 1098)
@@ -0,0 +1,4 @@
+version=3
+# Homepage  Pattern  [Version  [Action]]
+http://www.student.nada.kth.se/~d00-llu/music_dssi.php plugins/ll-scope/ll-scope-(.*)\.tar\.bz2 
+




More information about the Demudi-commits mailing list